package be.iminds.ilabt.jfed.restapi.json.util;

import be.iminds.ilabt.jfed.util.GeniUrn;
import be.iminds.ilabt.jfed.util.RFC3339Util;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;
import java.sql.Timestamp;

public class JsonGeniUrnSerializer extends JsonSerializer<GeniUrn> {
    @Override
    public void serialize(GeniUrn urn, JsonGenerator jsonGenerator, SerializerProvider provider) throws IOException {
        String urnString = urn.getValue();
        jsonGenerator.writeString(urnString);
    }
}
